# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Attributes

# vl::A3DSObject Class Reference

The A3DSObject class represents an object in a 3DS file. More...

`#include <io3DS.hpp>`

List of all members.

## Public Attributes

String | mObjName
std::vector< A3DSVertex > | mVertices
std::vector< A3DSTriFace > | mFaceList
std::vector < A3DSMaterialFaceMapping > | mMatFaceMap
fmat4 | mCoordSystem

## Detailed Description

The A3DSObject class represents an object in a 3DS file.

Definition at line 189 of file io3DS.hpp.

## Member Data Documentation

String vl::A3DSObject::mObjName

Definition at line 192 of file io3DS.hpp.

std::vector<A3DSVertex> vl::A3DSObject::mVertices

Definition at line 193 of file io3DS.hpp.

std::vector<A3DSTriFace> vl::A3DSObject::mFaceList

Definition at line 194 of file io3DS.hpp.

std::vector<A3DSMaterialFaceMapping> vl::A3DSObject::mMatFaceMap

Definition at line 195 of file io3DS.hpp.

fmat4 vl::A3DSObject::mCoordSystem

Definition at line 196 of file io3DS.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/io3DS.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.